uniform float time;
uniform float time2;
uniform sampler2D Noise1;
uniform sampler2D Noise2;

varying vec2 vTexCoord;
varying vec4 vColor;
void main(void)
{
  vec2 disp;

  disp.x = texture2D(Noise2, vec2(.5,vTexCoord.y)).r;
  disp.y = texture2D(Noise2, vec2(.5,vTexCoord.x)).r;
  vec4 col = texture2D(Noise1, vTexCoord+disp*time);
  //if (col.r < .2) { col.rgba = vec4(0.); }
  
  gl_FragColor = col*vColor;// * vec4(.6, .1, .1, 1.);
    //gl_FragColor = texture2D(Noise1, vTexCoord);
}

